Redmine - Defect #28931

Unreachable code in QueriesControllerTest#test _bulk_copy_to_another_project

2018-06-01 22:09 - Pavel Rosicky

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed Affected version:

Description

this test probably never acually worked

Issue.order ('id DESC') .limit (issues.size)

issues.size was zero in rails < 5.2, it tests nothing

after this change it fails
https:/github.com/rails/rails/commit/06f45435da941d713afefd3140421d1ced7abbdc

so | removed it

Related issues:

Related to Redmine - Feature #23630: Migrate to Rails 5.2 Closed

History

#1 - 2018-06-02 04:14 - Go MAEDA
- Related to Patch #28933: Migrate to Rails 5.2 added

#2 - 2018-06-09 07:01 - Go MAEDA

I think it is better to modify the test to work rather than simply deleting it.

Index: test/functional/issues_controller_test.rb

—-—-— test/functional/issues_controller_test.rb (revision 17367)
+++ test/functional/issues_controller_test.rb (working copy)
@@ -5967,10 +5967,11 @@

def test_bulk_copy_to_another_project

@request.session[:user_id] = 2
assert_difference 'Issue.count', 2 do
+ issue_ids = [1, 2]
+ assert_difference 'Issue.count', issue_ids.size do

assert_no_difference 'Project.find(l).issues.count' do
post :bulk_update, :params => ({
= :ids => [1, 2],
+ :ids => issue_ids,
:issue => {
tproject_id => '2'
}I
@@ -5980,7 +5981,7 @@
end
assert_redirected_to '/projects/ecookbook/issues'

N copies = Issue.order('id DESC').limit (issues.size)
+ copies = Issue.order('id DESC') .limit (issue_ids.size)
copies.each do |copyl
assert_equal 2, copy.project_id
end

#3 - 2018-06-10 02:18 - Go MAEDA

- Tracker changed from Patch to Defect
https://github.com/rails/rails/commit/06f45435da941d713afefd3140421d1ced7abbdc

- Subject changed from [Rails 5.2] fix spec test_bulk_copy _to_another_project to Unreachable code in

QueriesController Test#test bulk_copy_to_another_project
- Assignee set to Go MAEDA
- Target version set to 4.0.0

- Resolution set to Fixed

Committed in r17372. Thank you for reporting this issue.

#4 - 2018-06-10 02:21 - Go MAEDA

- Status changed from New to Closed

#5 - 2018-06-23 07:26 - Go MAEDA
- Related to Feature #23630: Migrate to Rails 5.2 added

#6 - 2018-06-23 07:26 - Go MAEDA
- Related to deleted (Patch #28933: Migrate to Rails 5.2)

Files

issues_controller_test.rb.patch 535 Bytes

2025-05-17

2018-06-01

Pavel Rosicky

22


https://www.redmine.org/projects/redmine/repository/svn/revisions/17372
http://www.tcpdf.org

